package com.bonus.boot.manager.manager.service;

import com.bonus.boot.manager.basic.entity.PersonnelLibraryBean;
import com.bonus.boot.manager.manager.entity.UnifyBean;
import com.bonus.boot.manager.manager.entity.UserDto;
import com.bonus.boot.manager.manager.model.SysUser;

import java.util.List;

public interface UserService {

	SysUser saveUser(UserDto userDto);

	SysUser updateUser(UserDto userDto);

	SysUser getUser(String username);

	void changePassword(String username, String oldPassword, String newPassword);

    List<SysUser> getMsgList(SysUser o);

	int delById(SysUser bean);

	int resetPassword(SysUser bean);

	int addInfo(SysUser bean);

	int updateInfo(SysUser bean);

	SysUser getListById(String id);

	int resetPasswordForOne(SysUser bean);

	void updateUnify(Long id);

    String getPermissionQuery(UnifyBean userVo);

	String getPermissionQuerys(UnifyBean userVo);
}
